"Important Security Update: We are temporarily suspending service for our URL shortener and bio link features to perform a system upgrade. This action is being taken to prevent ongoing misuse, and we are also disabling new registrations at this time. As part of this upgrade, all existing user accounts will be deleted, and all shortlinks removed, to ensure a clean system. Thank you for your cooperation."

account_payments.title

GET https://thail.ink/api/payments/
curl --request GET \
--url 'https://thail.ink/api/payments/' \
--header 'Authorization: Bearer {api_key}' \
Parameters Details Description
page Optional Integer The page number that you want results from. Defaults to 1.
results_per_page Optional Integer How many results you want per page. Allowed values are: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Defaults to 25.
{ "data": [ { "id": 1, "plan_id": 1, "processor": "stripe", "type": "one_time", "frequency": "monthly", "email": "example@example.com", "name": null, "total_amount": "4.99", "currency": "USD", "status": true, "datetime": 2026-05-20 22:10:48 }, ], "meta": { "page": 1, "results_per_page": 25, "total": 1, "total_pages": 1 }, "links": { "first": "https://thail.ink/api/payments?&page=1", "last": "https://thail.ink/api/payments?&page=1", "next": null, "prev": null, "self": "https://thail.ink/api/payments?&page=1" } }
GET https://thail.ink/api/payments/{payment_id}
curl --request GET \
--url 'https://thail.ink/api/payments/{payment_id}' \
--header 'Authorization: Bearer {api_key}' \
{ "data": { "id": 1, "plan_id": 1, "processor": "stripe", "type": "one_time", "frequency": "monthly", "email": "example@example.com", "name": null, "total_amount": "4.99", "currency": "USD", "status": true, "datetime": 2026-05-20 22:10:48 } }